package it.arquilliantest.jpa.util;

/**
 * Manage Exception Stack Trace
 *
 * @author Marco!Cella
 */
public class ManageExceptionStackTrace {
    
    /**
     * Check if the expected inner exception is embedded into given outer exception
     */
    public static boolean existInnerException( Throwable outerException, Class expectedInnerClassException ) {
        if( outerException.getClass().equals( expectedInnerClassException ) ){
            return true;
        }
        Throwable exception = outerException.getCause();
        while(exception != null) {
            if( exception.getClass().equals( expectedInnerClassException ) ){
                return true;
            }
            exception = exception.getCause();
        }
        return false;
    }
    
    /**
     * Get first inner exception from given outer exception
     */
    public static String getInnerException( Throwable outerException ) {
        Throwable exception = outerException.getCause();
        if( exception == null ) return outerException.getClass().getName();
        while(exception != null && exception.getCause() != null) {
            exception = exception.getCause();
        }
        return exception.getClass().getName();
    }
    
}
